ftools: "join attributes by location" tool -> option "take summary of intersecting features" do not 

work

2010-03-07 07:37 AM - Giovanni Manghi

Status: Closed

Priority: Low

Assignee: cfarmer -

Category: Python plugins

Affected QGIS version: Regression?: No

Operating System: All Easy fix?: No

Pull Request or Patch supplied: Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 12573

Description

In the table of attributes of the resulting vector the "summary of intersecting features" (mean, min, max, sum) are always the values of the

"join vector layer".

Tested on qgis trunk under ubuntu 9.10.

History

#1 - 2010-03-07 06:33 PM - cfarmer -

- Resolution set to wontfix

- Status changed from Open to Closed

This is the intended behaviour, unless I am missing something here? Think of this tool as similar to the 'join attributes' tool. The idea is to append

additional information to the attribute table of the input layer.

e.g.: If I wanted a summary of all the points intersecting with each polygon in my polygon layer.

Note: If I have misunderstood the problem, please reopen this ticket.

-Carson

#2 - 2010-03-08 02:42 AM - Giovanni Manghi

Hi Carson,

thanks for the feedback.

I am probably the one missing something, but please then help me understand how this option works because I'm probably get it all wrong.

Let's do an example.

Take a polygon with a column called "valor" and its actual value is 5

Then take a point inside the above polygon with a column called "valor" and its actual value is 10.

Looking at the "Join attributes by location" tool and at the option "take summary of intersecting features" I would expect to obtain (using as "target" the

point and "join" the polygon) in the output:

valor SUMValor MEANValor MINValor MAXValor COUNT
10    15       7.5       5        10       1

instead I always get

valor SUMValor MEANValor MINValor MAXValor COUNT

10    5        5         5        5        1

but then I see that the output has also the SUM*,MEAN*, MIN*,MAX* columns for fields that are not in common between "target" and "join" (and COUNT is

always 1), so I'm actually lost.

Any feedback will be much appreciated.
